---
title: "Add conference event"
url: "https://developer.incode.com/api-reference/conference-add-event/"
section: "api-reference"
group: "Video conference"
version: "v1.1"
status: "live"
endpoint: "POST /omni/conference/add/event"
---
# Add conference event

`POST /omni/conference/add/event`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Send (OpenTok) conference event. Any connection issue caught by webapp could be reported using this call.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `get_version` | integer (int64) |  |  |
| `interviewId` | string | yes | Interview ID for which event is reported. |
| `opentokSessionId` | string | yes | Opentok session ID of current video conference. |
| `eventType` | string | yes | Opentok event type. Could be anything that Opentok sends, e.g. StreamDisconnected, StreamReconnected, VideoDisabled, VideoEnabled... |
| `details` | string |  | Any description that Opentok sends. |
| `eventSource` | string | yes | Indicate event caught on customer or executive side. Enum: `customer`, `executive` |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X POST https://demo-api.incodesmile.com/omni/conference/add/event \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "get_version": 0,
    "interviewId": "",
    "opentokSessionId": "",
    "eventType": "",
    "details": "",
    "eventSource": ""
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/conference/add/event", {
  method: "POST",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "get_version": 0,
      "interviewId": "",
      "opentokSessionId": "",
      "eventType": "",
      "details": "",
      "eventSource": ""
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.post("https://demo-api.incodesmile.com/omni/conference/add/event", headers=headers, json={
  "get_version": 0,
  "interviewId": "",
  "opentokSessionId": "",
  "eventType": "",
  "details": "",
  "eventSource": ""
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/conference/add/event"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString("{\n  \"get_version\": 0,\n  \"interviewId\": \"\",\n  \"opentokSessionId\": \"\",\n  \"eventType\": \"\",\n  \"details\": \"\",\n  \"eventSource\": \"\"\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
